Get user
curl --request GET \
--url https://api.circle.com/v1/w3s/user \
--header 'Authorization: Bearer <token>' \
--header 'X-User-Token: <x-user-token>'import requests
url = "https://api.circle.com/v1/w3s/user"
headers = {
"X-User-Token": "<x-user-token>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-User-Token': '<x-user-token>', Authorization: 'Bearer <token>'}
};
fetch('https://api.circle.com/v1/w3s/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
"createDate": "2023-01-01T12:04:05Z",
"pinStatus": "ENABLED",
"status": "ENABLED",
"securityQuestionStatus": "ENABLED",
"pinDetails": {
"failedAttempts": 123,
"lockedDate": "2023-01-01T12:04:05Z",
"lockedExpiryDate": "2023-01-01T12:04:05Z",
"lastLockOverrideDate": "2023-01-01T12:04:05Z"
},
"securityQuestionDetails": {
"failedAttempts": 123,
"lockedDate": "2023-01-01T12:04:05Z",
"lockedExpiryDate": "2023-01-01T12:04:05Z",
"lastLockOverrideDate": "2023-01-01T12:04:05Z"
}
}
}{
"code": 400,
"message": "Bad request."
}{
"code": 401,
"message": "Malformed authorization."
}Get user
Retrieve the user by token.
GET
/
v1
/
w3s
/
user
Get user
Authorizations
Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are required to make a successful request.
Headers
Unique system generated JWT session token for specific user.
Developer-provided identifier for this request, used for tracing requests in Wallets API logs and the Developer Console, and when communicating with Circle Support. Must be a UUID to appear in logs. Non-UUID values are accepted by the API but are ignored by logging and tracing systems.
A unique identifier, which can be helpful for identifying a request when communicating with Circle support.
Example:
"2adba88e-9d63-44bc-b975-9b6ae3440dde"
Response
Successfully retrieved the user.
Show child attributes
Show child attributes
Was this page helpful?
⌘I